org.eclipse.microprofile.openapi.tck

## Class OASScanConfigTests.ScanConfigPartialPackage

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.openapi.tck.AppTestBase
    - - org.eclipse.microprofile.openapi.tck.OASScanConfigTests.ScanConfigPartialPackage

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

Enclosing class:
  OASScanConfigTests

    public static class OASScanConfigTests.ScanConfigPartialPackage
    extends AppTestBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`YAML_FILTER`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ScanConfigPartialPackage()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deployment()`
`void` `testPartialPackage(String type)`

### Methods inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`callEndpoint, configureRestAssured, dereference, dereference, provide`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScanConfigPartialPackage

    public ScanConfigPartialPackage()

### Method Detail

#### deployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deployment()

#### testPartialPackage

    @RunAsClient
    public void testPartialPackage(String type)